<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<gep name="SemProcess" title="SemProcess Manager" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr>
      <td><form>
        <p>This module manages multi-process semaphores through its proxy
           <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/knl/ISemProcessSupport.html"> ISemProcessSupport  </a>                   
           interface. It has a module wide config parameter 
           <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/knl/SemProcess.html#.Proxy"> Proxy </a>           
           which needs to be bound to an OS specific delegate before 
           this module can be used.</p>
        <p> </p>
      </form></td>
  </tr>
  <tr>
    <td><control type="checkbox" label="Add SemProcess to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Platform-specific Support</h1>
    <table>
      <tr>
        <td><control type="label" label="SemProcess provider"/></td>
        <td><control type="editbox" 
             enabled="value:this.$used"
             value="value:this.Proxy"
             tooltip="value:this.Proxy.$summary"/></td>
      </tr>
    </table>
  </td></tr>
</table></body></html>
</page>
</gep>

<!--
/*
 * @(#) xdc.runtime.knl; 1, 0, 0,0; 11-8-2017 17:11:35; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

